Bug 1184414 - rlWaitForSocket reports "waiting for socket ... to start listening" even if it waits for closing
Summary: rlWaitForSocket reports "waiting for socket ... to start listening" even if i...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: beakerlib
Version: 22
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: Dalibor Pospíšil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1173652 Fedora-beakerlib
TreeView+ depends on / blocked
 
Reported: 2015-01-21 10:35 UTC by Stanislav Zidek
Modified: 2015-12-08 08:45 UTC (History)
4 users (show)

Fixed In Version: beakerlib-1.11-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 08:45:05 UTC


Attachments (Terms of Use)
Patch that fixes the problem (829 bytes, patch)
2015-01-21 10:35 UTC, Stanislav Zidek
no flags Details | Diff

Description Stanislav Zidek 2015-01-21 10:35:09 UTC
Created attachment 982268 [details]
Patch that fixes the problem

Description of problem:
When called with --close, rlWaitForSocket prints:
  Waiting max 10s for socket `6928' to start listening

Version-Release number of selected component (if applicable):
beakerlib-1.10-1.el7.noarch

How reproducible:
always

Steps to Reproduce:
1. run "rlWaitForSocket [port] -t [timeout] --close

Actual results:
:: [   INFO   ] :: rlWaitForSocket: Waiting max [timeout]s for socket `[port]' to start listening

Expected results:
:: [   INFO   ] :: rlWaitForSocket: Waiting max [timeout]s for socket `[port]' to close

Additional info:
I created simple patch that works for me.

Btw - I couldn't choose proper version in Version field, there are only two options ('1.0', '1.8.0').

Comment 1 Dalibor Pospíšil 2015-01-23 13:50:36 UTC
thanks for patch

Comment 3 Jaroslav Reznik 2015-03-03 17:17:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora Update System 2015-11-03 12:41:26 UTC
beakerlib-1.11-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f36ff57e84

Comment 5 Fedora Update System 2015-11-03 18:20:55 UTC
beakerlib-1.11-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4c96e73472

Comment 6 Fedora Update System 2015-11-03 18:56:20 UTC
beakerlib-1.11-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-ba802d1bd6

Comment 7 Fedora Update System 2015-11-03 19:52:24 UTC
beakerlib-1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7ab9feeb42

Comment 8 Fedora Update System 2015-11-03 21:50:13 UTC
beakerlib-1.11-1.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0e03df1475

Comment 9 Fedora Update System 2015-11-05 17:19:20 UTC
beakerlib-1.11-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8f65d5290a

Comment 10 Fedora Update System 2015-11-05 20:18:15 UTC
beakerlib-1.11-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update beakerlib'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-f36ff57e84

Comment 11 Fedora Update System 2015-11-17 15:51:58 UTC
beakerlib-1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-11-17 18:23:51 UTC
beakerlib-1.11-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2015-11-19 16:50:06 UTC
beakerlib-1.11-1.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-11-20 23:24:55 UTC
beakerlib-1.11-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-11-21 14:26:09 UTC
beakerlib-1.11-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-11-21 20:30:02 UTC
beakerlib-1.11-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.